Get vol regime history
curl --request GET \
--url https://api.example.com/api/graph/v1/regime/{symbol}/vol/historyimport requests
url = "https://api.example.com/api/graph/v1/regime/{symbol}/vol/history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/graph/v1/regime/{symbol}/vol/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"symbol": "<string>",
"time": "<string>",
"regime": "<string>",
"regime_confidence": 50,
"term_structure": "<string>",
"near_term_iv": 123,
"far_term_iv": 123,
"term_slope": 123,
"skew_label": "<string>",
"skew_ratio": 123,
"skew_zscore": 123,
"put_25d_iv": 123,
"call_25d_iv": 123,
"vov_label": "<string>",
"vov_ratio": 123,
"atm_iv": 123,
"iv_rank_252d": 123,
"iv_percentile_252d": 123,
"realized_vol_20d": 123,
"iv_rv_premium": 123,
"vix_level": 123,
"vix_regime": "<string>",
"vix_term_structure": "<string>",
"computation_ms": 0
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Market Microstructure
Get vol regime history
Get vol regime classification history for a symbol (up to 90 days).
GET
/
api
/
graph
/
v1
/
regime
/
{symbol}
/
vol
/
history
Get vol regime history
Path Parameters
Query Parameters
Required range:
1 <= x <= 90Response
Successful Response
CRISIS | STRESSED | CAUTIOUS | TRANSITIONAL | RISK_ON | COMPLACENT
Required range:
0 <= x <= 100